FROM python:3.10-slim

RUN apt-get update -y && \
    apt-get install -y --no-install-recommends \
    build-essential \
    python3-dev \
    python3-pip \
    python3-wheel \
    python3-setuptools \
    wget && \
    rm -rf /var/lib/apt/lists/* /var/cache/apt/archives/*

RUN pip3 install --no-cache-dir --upgrade setuptools pip wheel

WORKDIR /setup

COPY requirements.ci.txt requirements.ci.txt
RUN pip3 install -r requirements.ci.txt
RUN rm -rf /setup

RUN pip3 install --force-reinstall torch --extra-index-url https://download.pytorch.org/whl/cu121

RUN python3 -m spacy download en_core_web_sm
